
#import <foundation/foundation.h>

static __inline__ NSRange NSMakeRange(unsigned int loc, unsigned int len) {
    NSRange r;
    r.location = loc;
    r.length = len;
    return r;
}

@interface NSString(LitteFoundationOmissions)
+ (id)string;
- (NSString *)substringWithRange:(NSRange)aRange;
@end

@interface NSDictionary(LitteFoundationOmissions)
+ dictionaryWithObject:(id)object forKey:(id)key;
@end

@interface NSArray(LitteFoundationOmissions)
+ arrayWithArray:(NSArray *)otherArray;
@end

